/* Global css */

html {
    scroll-behavior: smooth;
}

.screen-reader-text {
    border: 0;
    clip: rect(1px, 1px, 1px, 1px);
    clip-path: inset(50%);
    height: 1px;
    width: 1px;
    margin: -1px;
    padding: 0;
    overflow: hidden;
    position: absolute;
    word-wrap: normal !important;
}

body {
    overflow-x: hidden;
    font-family: var(--font-family-body);
    margin: 0;
    padding: 0;
    background-color: var(--color-alabaster-gray-200);

    a {
        text-decoration: none;
        color: inherit;
        position: relative;
    }

    a:visited {
        color: inherit;
    }

    .link {
        text-decoration: none;
        /*line-height: 24px;*/
        color: inherit;
        position: relative;
    }

    .link::after {
        content: "";
        position: absolute;
        left: 0;
        bottom: -4px;
        width: 100%;
        height: 2px;
        background: currentColor;

        transform: scaleX(0);
        transform-origin: left;
        transition: transform 0.3s ease;
    }

    .link:hover::after {
        transform: scaleX(1);
    }

    @media (max-width: 700px) {
        .link::after {
            display: none;
        }

        .link {
            text-decoration: underline;
            text-decoration-thickness: 2px;
            text-underline-offset: 6px;
        }
    }


}
